----------Machines------------

local crusher = {
	name = "industrial-engineering-crusher",
	icon = "__industrial-engineering__/graphics/icons/crusher.png",
	icon_size = 64,
	--order
	type = "furnace",
	max_health = 350,
	minable = {mining_time = 0.3, result = "industrial-engineering-crusher"},
	animation = {
        layers = {
          {
            filename = "__industrial-engineering__/graphics/entity/crusher/crusher.png",
            frame_count = 1,
            height = 100,
            hr_version = {
              filename = "__industrial-engineering__/graphics/entity/crusher/hr-crusher.png",
              frame_count = 1,
              height = 219,
              priority = "high",
              scale = 0.5,
              shift = {
                0.0234375,
                0.1796875
              },
              width = 239
            },
            priority = "high",
            shift = {
              0.421875,
              0
            },
            width = 129
          },
          {
            draw_as_shadow = true,
            filename = "__industrial-engineering__/graphics/entity/crusher/crusher-shadow.png",
            frame_count = 1,
            height = 100,
            hr_version = {
              draw_as_shadow = true,
              filename = "__industrial-engineering__/graphics/entity/crusher/hr-crusher-shadow.png",
              frame_count = 1,
              height = 171,
              priority = "high",
              scale = 0.5,
              shift = {
                0.3515625,
                0.2421875
              },
              width = 227
            },
            priority = "high",
            shift = {
              0.421875,
              0
            },
            width = 129
          }
        }
      },
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__industrial-engineering__/sound/crusher.ogg", volume = 0.75},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	energy_source = {
		type = "electric",
		usage_priority = "secondary-input",
		emissions_per_minute = 1,
	},
	crafting_categories = {"industrial-engineering-crushing"},
	crafting_speed = 1,
	energy_usage = "360kW",
	result_inventory_size = 2,
	source_inventory_size = 1,
	allowed_effects = {
        "consumption",
        "speed",
        "pollution"
    },
	module_specification = {
        module_info_icon_shift = {
			0,
			0.8
        },
        module_slots = 2
    },
	base_productivity = 0.5,
}

local washing_plant = {
	name = "industrial-engineering-washing-plant",
	icon = "__industrial-engineering__/graphics/icons/washing-plant.png",
	icon_size = 64,
	--order
	type = "furnace",
	max_health = 350,
	minable = {mining_time = 0.3, result = "industrial-engineering-washing-plant"},
	animation = {
        layers = {
          {
            filename = "__industrial-engineering__/graphics/entity/washing-plant/washing-plant.png",
            frame_count = 1,
            height = 100,
            hr_version = {
              filename = "__industrial-engineering__/graphics/entity/washing-plant/hr-washing-plant.png",
              frame_count = 1,
              height = 219,
              priority = "high",
              scale = 0.5,
              shift = {
                0.0234375,
                0.1796875
              },
              width = 239
            },
            priority = "high",
            shift = {
              0.421875,
              0
            },
            width = 129
          },
          {
            draw_as_shadow = true,
            filename = "__industrial-engineering__/graphics/entity/washing-plant/washing-plant-shadow.png",
            frame_count = 1,
            height = 100,
            hr_version = {
              draw_as_shadow = true,
              filename = "__industrial-engineering__/graphics/entity/washing-plant/hr-washing-plant-shadow.png",
              frame_count = 1,
              height = 171,
              priority = "high",
              scale = 0.5,
              shift = {
                0.3515625,
                0.2421875
              },
              width = 227
            },
            priority = "high",
            shift = {
              0.421875,
              0
            },
            width = 129
          }
        }
      },
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__industrial-engineering__/sound/washing-plant.ogg", volume = 0.5},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	energy_source = {
		type = "electric",
		usage_priority = "secondary-input",
		emissions_per_minute = 1,
	},
	crafting_categories = {"industrial-engineering-washing"},
	crafting_speed = 2,
	energy_usage = "90kW",
	result_inventory_size = 2,
	source_inventory_size = 1,
	allowed_effects = {
		"consumption",
        "speed",
        "pollution"
    },
	module_specification = {
        module_info_icon_shift = {
			0,
			0.8
        },
        module_slots = 2
    },
	fluid_boxes = {
		{
			production_type = "input",
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 1,
			base_level = -1,
			pipe_connections = {{type="input", position = {0, 2}}},
			secondary_draw_orders = { north = -1 },
			filter = "water"
		},
	off_when_no_fluid_recipe = false,
	},
	base_productivity = 0.5,
}

local blast_furnace = {
	name = "industrial-engineering-blast-furnace",
	icon = "__industrial-engineering__/graphics/icons/blast-furnace.png",
	icon_size = 64,
	--order
	type = "furnace",
	max_health = 350,
	minable = {mining_time = 0.3, result = "industrial-engineering-blast-furnace"},
	animation = {
        layers = {
          {
            filename = "__industrial-engineering__/graphics/entity/blast-furnace/blast-furnace.png",
            frame_count = 1,
            height = 87,
            hr_version = {
              filename = "__industrial-engineering__/graphics/entity/blast-furnace/hr-blast-furnace.png",
              frame_count = 1,
              height = 174,
              priority = "high",
              scale = 0.75,
              shift = {
                -0.0390625,
                0.0625
              },
              width = 171
            },
            priority = "high",
            shift = {
              -0.046875,
              0.046875
            },
            width = 85
          },
          {
            draw_as_shadow = true,
            filename = "__industrial-engineering__/graphics/entity/blast-furnace/blast-furnace-shadow.png",
            frame_count = 1,
            height = 43,
            hr_version = {
              draw_as_shadow = true,
              filename = "__industrial-engineering__/graphics/entity/blast-furnace/hr-blast-furnace-shadow.png",
              frame_count = 1,
              height = 85,
              priority = "high",
              scale = 0.75,
              shift = {
                1.2265625,
                0.3515625
              },
              width = 277
            },
            priority = "high",
            shift = {
              1.234375,
              0.359375
            },
            width = 139
          }
        }
      },
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__industrial-engineering__/sound/blast-furnace.ogg", volume = 1},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	energy_source = {
		type = "burner",
		fuel_category = "chemical",
		effectivity = 1,
		emissions_per_minute = 5,
		fuel_inventory_size = 1,
		smoke = {
			{
			frequency = 50,
			name = "smoke",
			position = {
				1.5,
				1
			},
			starting_frame_deviation = 60,
			starting_vertical_speed = 0.08
			}
		},
	},
	crafting_categories = {"industrial-engineering-blast-smelting"},
	crafting_speed = 2,
	energy_usage = "180kW",
	result_inventory_size = 1,
	source_inventory_size = 1,
	fluid_boxes = {
		{
			production_type = "input",
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 1,
			base_level = -1,
			pipe_connections = {{type="input", position = {0, 2} }},
			secondary_draw_orders = { north = -1 },
			filter = "industrial-engineering-oxygen"
		},
	off_when_no_fluid_recipe = false,
	},
	base_productivity = 0.25,
}

local gas_turbine = {
	name = "industrial-engineering-gas-turbine",
	icon = "__industrial-engineering__/graphics/icons/gas-turbine.png",
	icon_size = 64,
	--order
	type = "generator",
	max_health = 350,
	minable = {mining_time = 0.3, result = "industrial-engineering-gas-turbine"},
	horizontal_animation = {
		filename = "__industrial-engineering__/graphics/entity/gas-turbine/gas-turbine-H.png",
		priority = "high",
		height = 123,
		width = 160,
		frame_count = 1,
		line_length = 1,
		shift = {
            0,
            -0.078125
        },
	},
	vertical_animation = {
		filename = "__industrial-engineering__/graphics/entity/gas-turbine/gas-turbine-V.png",
		priority = "high",
		height = 173,
		width = 108,
		frame_count = 1,
		line_length = 1,
		shift = {
            0.15625,
            0.203125
        },
	},
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {	
        fade_in_ticks = 4,
        fade_out_ticks = 20,
        match_speed_to_activity = true,
        sound = {
			filename = "__base__/sound/steam-turbine.ogg", volume = 0.75,
		},
	},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.25, -2.35}, {1.25, 2.35}},
	selection_box = {{-1.5, -2.5}, {1.5, 2.5}},
	energy_source = {
		type = "electric",
		usage_priority = "secondary-output",
		emissions_per_minute = 5,
	},
	fluid_box = {
		production_type = "input-output",
		pipe_picture = assembler2pipepictures(),
		pipe_covers = pipecoverspictures(),
		base_area = 1,
		base_level = -1,
		height = 2,
		pipe_connections = {{type="input-output", position = {0, 3}},{type="input-output", position = {0, -3}}},
		secondary_draw_orders = { north = -1 },
		off_when_no_fluid_recipe = false,
	},
	burns_fluid = true,
	scale_fluid_usage = true,
	fluid_usage_per_tick = 40/60,
	max_power_output = "3.6MW",
	min_perceived_performance = 0.25,
	effectivity = 1,
	maximum_temperature = 100,
}

local oil_boiler = {
	name = "industrial-engineering-oil-boiler",
	icon = "__industrial-engineering__/graphics/icons/oil-boiler.png",
	icon_size = 64,
	--order
	type = "boiler",
	max_health = 350,
	minable = {mining_time = 0.3, result = "industrial-engineering-oil-boiler"},
	structure = {
		north = {
			filename = "__industrial-engineering__/graphics/entity/oil-boiler/oil-boiler-N-idle.png",
			priority = "high",
			height = 108,
			width = 131,
			frame_count = 1,
			line_length = 1,
			shift = {
				-0.03125,
				-0.203125
			},
		},
		east = {
			filename = "__industrial-engineering__/graphics/entity/oil-boiler/oil-boiler-E-idle.png",
			priority = "high",
			height = 147,
			width = 105,
			frame_count = 1,
			line_length = 1,
			shift = {
				0.0078125,
				-0.40625
            },
		},
		south = {
			filename = "__industrial-engineering__/graphics/entity/oil-boiler/oil-boiler-S-idle.png",
			priority = "high",
			height = 95,
			width = 128,
			frame_count = 1,
			line_length = 1,
			shift = {
				0.03125,
				0.171875
            },
		},
		west = {
			filename = "__industrial-engineering__/graphics/entity/oil-boiler/oil-boiler-W-idle.png",
			priority = "high",
			height = 132,
			width = 96,
			frame_count = 1,
			line_length = 1,
			shift = {
				0.0625,
				-0.1953125
            },
		},
	},
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {
		fade_in_ticks = 4,
        fade_out_ticks = 20,
		filename = "__base__/sound/boiler.ogg", volume = 1,
	},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.3, -0.8}, {1.3, 0.8}},
	selection_box = {{-1.5, -1}, {1.5, 1}},
	energy_source = {
		type = "fluid",
		emissions = 1,
		burns_fluid = true,
		fluid_usage_per_tick = 10/60,
		scale_fluid_usage = true,
		fluid_box = {
			production_type = "input",
			base_area = 1,
			base_level = -1,
			height = 2,
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			pipe_connections = {{type="input", position = {0, 1.5}}},
			secondary_draw_orders = { north = -1 },
		},
    },
	fluid_box = {
		production_type = "input-output",
		pipe_picture = assembler2pipepictures(),
		pipe_covers = pipecoverspictures(),
		base_area = 1,
		base_level = -1,
		height = 2,
		pipe_connections = {{type="input-output", position = {-2, 0.5}},{type="input-output", position = {2, 0.5}}},
		secondary_draw_orders = { north = -1 },
		off_when_no_fluid_recipe = false,
		filter="water"
	},
	output_fluid_box = {
		production_type = "output",
		pipe_picture = assembler2pipepictures(),
		pipe_covers = pipecoverspictures(),
		base_area = 1,
		base_level = 1,
		pipe_connections = {{type="output", position = {0, -1.5}}},
		secondary_draw_orders = { north = -1 },
		off_when_no_fluid_recipe = false,
		filter="steam"
	},
	target_temperature = 165,
	mode = "output-to-separate-pipe",
	energy_consumption = "1.8MW",
	burning_cooldown = 20,
	fire = {},
    fire_glow = {},
	smoke = {
        {
            east_position = {
				0.625,
				-2.1875
            },
            frequency = 15,
            name = "smoke",
            north_position = {
				-1.1875,
				-1.484375
            },
            south_position = {
				1.203125,
				-1
            },
            starting_frame_deviation = 60,
            starting_vertical_speed = 0,
            west_position = {
				-0.59375,
				-0.265625
            }
        }
    },
}


data:extend({
    crusher,
	washing_plant,
	blast_furnace,
	gas_turbine,
	oil_boiler,
})